import java.io.*;

public class JarsCopier {

	  private static final int READ_SIZE = 4096;
	  private static final String STANDARD = "standard.jar";
	  private static final String JSTL = "jstl.jar";
	  private static final String BEAN_UTILS = "commons-beanutils.jar";
	  private static final String COLLECTIONS = "commons-collections.jar";
	  private static final String DIGESTER = "commons-digester.jar";
	  private static final String FILE_UPLOAD = "commons-fileupload.jar";
	  private static final String LANG = "commons-lang.jar";
	  private static final String LOGGING = "commons-logging.jar";
	  private static final String VALIDATOR = "commons-validator.jar";
	  private static final String ORO = "jakarta-oro.jar";
	  private static final String LOG4J = "log4j-1.2.7.jar";
	  private static final String STRUTS = "struts.jar";
	  private static final String LANG2 = "commons-lang-2.0.jar";
	  private static final String DISPLAYTAG = "displaytag-1.0-rc1.jar";
	  private static final String ANTLR = "antlr.jar";
	  
	  private void copyFile(String sourceFilename, String destinationFilename) {
	    System.out.println("source: " + sourceFilename  + "\t" +
	      "dest: " + destinationFilename);

	    try {
	      File oldFile = new File(destinationFilename);
	      if (oldFile.exists())
	        oldFile.delete();

	      FileInputStream input = new FileInputStream(sourceFilename);
	      FileOutputStream output = new FileOutputStream(destinationFilename);

	      byte[] bytes = new byte[READ_SIZE];
	      int i = input.read(bytes, 0, READ_SIZE);
	      while (i!=-1) {
	        output.write(bytes, 0, i);
	        i = input.read(bytes, 0, READ_SIZE);
	      }
	      input.close();
	      output.close();
	    }
	    catch (IOException e) {
	      e.printStackTrace();
	    }
	  }

	private String getAbsPath(String relPath) {
		File file = new File(relPath);
		return file.getAbsolutePath();
	}
	
	private void doCopy(String target,  boolean standard, boolean jstl, boolean struts, 
			boolean beanutil, boolean collection, boolean fileupload, boolean digester, boolean lang,
			boolean logging, boolean validator, boolean oro, boolean log4j,
			boolean lang2, boolean displaytag, boolean antlr) {
		if (standard)
			copyFile(getAbsPath("../lib/" + STANDARD), target + STANDARD);
		if (jstl)
			copyFile(getAbsPath("../lib/" + JSTL), target + JSTL);
		if (struts)
			copyFile(getAbsPath("../lib/" + STRUTS), target + STRUTS);
		if (beanutil)
			copyFile(getAbsPath("../lib/" + BEAN_UTILS), target + BEAN_UTILS);
		if (collection)
			copyFile(getAbsPath("../lib/" + COLLECTIONS), target + COLLECTIONS);
		if (fileupload)
			copyFile(getAbsPath("../lib/" + FILE_UPLOAD), target + FILE_UPLOAD);
		if (digester)
			copyFile(getAbsPath("../lib/" + DIGESTER), target + DIGESTER);
		if (lang)
			copyFile(getAbsPath("../lib/" + LANG), target + LANG);
		if (logging)
			copyFile(getAbsPath("../lib/" + LOGGING), target + LOGGING);
		if (validator)
			copyFile(getAbsPath("../lib/" + VALIDATOR), target + VALIDATOR);
		if (oro)
			copyFile(getAbsPath("../lib/" + ORO), target + ORO);
		if (log4j)
			copyFile(getAbsPath("../lib/" + LOG4J), target + LOG4J);
		if (lang2)
			copyFile(getAbsPath("../lib/" + LANG2), target + LANG2);
		if (displaytag)
			copyFile(getAbsPath("../lib/" + DISPLAYTAG), target + DISPLAYTAG);
		if (antlr)
			copyFile(getAbsPath("../lib/" + ANTLR), target + ANTLR);
			
	}
	public void copy() {
		doCopy("../app01a/WEB-INF/lib/", true, true, false, false, false, false, false, false, false, false, false, false, false, false, false);
		doCopy("../app01b/WEB-INF/lib/", true, true, false, false, false, false, false, false, false, false, false, false, false, false, false);
		doCopy("../app01c/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app02a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app02b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app02c/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app02d/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app02e/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app03a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app03b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app03c/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app03d/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app04a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app04b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app04c/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app05a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app05b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app05c/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app05d/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app05e/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app05f/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app05g/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app05h/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app07a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app08a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app09a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app10a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app10b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app10c/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app11a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app12a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app12b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app12c/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app12d/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app13a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app13b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app13c/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app14a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app15a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app16a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app17a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app17b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app18a/WEB-INF/lib/", true, true, true, true, true, true, true, false, true, true, true, true, true, true, true);
		doCopy("../app18b/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app19a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app20a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		doCopy("../app21a/WEB-INF/lib/", true, true, true, true, true, true, true, true, true, true, true, true, false, false, true);
		
		copyFile(getAbsPath("../lib/brainysoftware-tags.jar"), "../app10c/WEB-INF/lib/brainysoftware-tags.jar");

    }
	
  public static void main(String[] args) {
	(new JarsCopier()).copy();
  }
}
